<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.bonus.zlpt</groupId>
        <artifactId>zlpt-modules</artifactId>
        <version>3.6.3</version>
    </parent>

    <artifactId>zlpt-modules-company</artifactId>

    <description>
        zlpt-modules-company企业模块
    </description>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>com.bonus.zlpt</groupId>
            <artifactId>zlpt-common-core</artifactId>
        </dependency>
        <dependency>
            <groupId>com.bonus.zlpt</groupId>
            <artifactId>zlpt-common-log</artifactId>
        </dependency>

        <dependency>
            <groupId>com.bonus.zlpt</groupId>
            <artifactId>zlpt-common-swagger</artifactId>
        </dependency>
        

        <dependency>
            <groupId>com.bonus.zlpt</groupId>
            <artifactId>zlpt-api-system</artifactId>
        </dependency>

        <dependency>
            <groupId>com.bonus.zlpt</groupId>
            <artifactId>zlpt-api-company</artifactId>
            <version>3.6.3</version>
        </dependency>

        <dependency>
            <groupId>org.checkerframework</groupId>
            <artifactId>checker-qual</artifactId>
            <version>3.5.0</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>